Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367383 - Maven repository contains artifacts of same version with different content than MRRC
Summary: Maven repository contains artifacts of same version with different content th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Distribution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Alex Szczuczko
QA Contact: Juraj Duráni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 10:16 UTC by Juraj Duráni
Modified: 2016-08-24 11:40 UTC (History)
4 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Maven repository for JDV 6.2.7.
Last Closed: 2016-08-24 11:40:32 UTC
Type: Support Patch


Attachments (Terms of Use)

Description Juraj Duráni 2016-08-16 10:16:57 UTC
Description of problem:
Maven repository for 6.2.7 contains some artifacts, which are in collision with artifacts on MRRC. They are of same grouId, artifactId, version, but have different content:

Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/com/sun/mail/javax.mail/1.4.4-redhat-2/javax.mail-1.4.4-redhat-2-sources.jar with different content
Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/com/sun/mail/javax.mail/1.4.4-redhat-2/javax.mail-1.4.4-redhat-2.jar with different content
Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/org/jboss/component/management/jboss-component-version-master/6.0.1-redhat-1/jboss-component-version-master-6.0.1-redhat-1.pom with different content
Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/org/jboss/jboss-vfs/3.1.0.Final-redhat-2/jboss-vfs-3.1.0.Final-redhat-2-javadoc.jar with different content
Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/org/olap4j/olap4j-xmla/1.1.0/olap4j-xmla-1.1.0.pom with different content
Remote repository [http://maven.repository.redhat.com/earlyaccess/] contains already artifact http://maven.repository.redhat.com/earlyaccess/org/olap4j/olap4j/1.1.0/olap4j-1.1.0.pom with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-common/7.5.9.Final-redhat-2/jboss-as-arquillian-common-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-common/7.5.9.Final-redhat-2/jboss-as-arquillian-common-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-container-managed/7.5.9.Final-redhat-2/jboss-as-arquillian-container-managed-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-container-managed/7.5.9.Final-redhat-2/jboss-as-arquillian-container-managed-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-protocol-jmx/7.5.9.Final-redhat-2/jboss-as-arquillian-protocol-jmx-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-protocol-jmx/7.5.9.Final-redhat-2/jboss-as-arquillian-protocol-jmx-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-testenricher-msc/7.5.9.Final-redhat-2/jboss-as-arquillian-testenricher-msc-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/ga/] contains already artifact https://maven.repository.redhat.com/ga/org/jboss/as/jboss-as-arquillian-testenricher-msc/7.5.9.Final-redhat-2/jboss-as-arquillian-testenricher-msc-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-common/7.5.9.Final-redhat-2/jboss-as-arquillian-common-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-common/7.5.9.Final-redhat-2/jboss-as-arquillian-common-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-container-managed/7.5.9.Final-redhat-2/jboss-as-arquillian-container-managed-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-container-managed/7.5.9.Final-redhat-2/jboss-as-arquillian-container-managed-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-protocol-jmx/7.5.9.Final-redhat-2/jboss-as-arquillian-protocol-jmx-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-protocol-jmx/7.5.9.Final-redhat-2/jboss-as-arquillian-protocol-jmx-7.5.9.Final-redhat-2.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-testenricher-msc/7.5.9.Final-redhat-2/jboss-as-arquillian-testenricher-msc-7.5.9.Final-redhat-2-sources.jar with different content
Remote repository [https://maven.repository.redhat.com/techpreview/all/] contains already artifact https://maven.repository.redhat.com/techpreview/all/org/jboss/as/jboss-as-arquillian-testenricher-msc/7.5.9.Final-redhat-2/jboss-as-arquillian-testenricher-msc-7.5.9.Final-redhat-2.jar with different content

Comment 4 Alex Szczuczko 2016-08-17 13:52:25 UTC
I think I've resolved the 8 techpreview/all/ conflicts (duplicated in ga/), by re-running the script.

I can't do anything about the earlyaccess/ conflicts, as that repo conflicts[1][2] with ga/ and techpreview/all/. I find it totally bizarre that that was allowed to happen, but so it is!

Fixed in JBDV-6.2.7.CR2, which will be posted shortly.

[1] http://maven.repository.redhat.com/earlyaccess/com/sun/mail/javax.mail/1.4.4-redhat-2/javax.mail-1.4.4-redhat-2-sources.jar.md5
[2] http://maven.repository.redhat.com/techpreview/all/com/sun/mail/javax.mail/1.4.4-redhat-2/javax.mail-1.4.4-redhat-2-sources.jar.md5


Note You need to log in before you can comment on or make changes to this bug.